opam 1.04 KB
Newer Older
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53
opam-version: "1.2"
maintainer: "guillaume.melquiond@inria.fr"
authors: [
  "François Bobot"
  "Jean-Christophe Filliâtre"
  "Claude Marché"
  "Guillaume Melquiond"
  "Andrei Paskevich"
]

homepage: "http://why3.lri.fr/"
license: "GNU Lesser General Public License version 2.1"
doc: "http://why3.lri.fr/doc/"
bug-reports: "https://gitlab.inria.fr/why3/why3/issues"
dev-repo: "https://gitlab.inria.fr/why3/why3.git"

tags: [
  "deductive"
  "program verification"
  "formal specification"
  "automated theorem prover"
  "interactive theorem prover"
]
available: [ ocaml-version >= "4.02.3" ]

build: [
  ["autoconf"]
  ["dash" "-c" "automake --add-missing || true"]
  ["./configure"
   "--prefix" prefix
   "--disable-why3-lib"
   "--disable-frama-c"
   "--disable-ide"
   "--disable-js-of-ocaml"]
  [make "-j%{jobs}%" "coq" "coq-tactic"]
]

install: [make "install-coq" "install-coq-tactic"]

remove: ["rm" "-rf" "%{lib}%/why3/coq"]

flags: [ light-uninstall ]

depends: [
  "ocamlfind" {build}
  "why3"
  "coq"
]

conflicts: [
  "coq" {< "8.4"}
  "coq" {>= "8.8"}
]